View Issue Details

IDProjectCategoryView StatusLast Update
0032975Open CASCADEOCCT:Visualizationpublic2022-10-19 15:50
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0032975: Visualization, TKOpenGl - do not blit inactive Subview
DescriptionOpenGl_View::blitSubviews() should skip inactive Subviews.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032886 verifiedvpozdyayev Visualization, V3d_View - introduce interface for creating a subview 

Activities

git

2022-05-16 22:31

administrator   ~0108455

Branch CR32975 has been created by kgv.

SHA-1: a5ac5f847c30c267c73316e6884028d73ae7465d


Detailed log of new commits:

Author: kgv
Date: Mon May 16 22:28:09 2022 +0300

    0032975: Visualization, TKOpenGl - do not blit inactive Subview

git

2022-05-16 22:58

administrator   ~0108456

Branch CR32975 has been updated forcibly by kgv.

SHA-1: af4e76bfb9a0445b04bead774391bb4454ddcb03

kgv

2022-05-17 01:18

developer   ~0108460

Please raise the patch
- OCCT: branch CR32975.

http://jenkins-test-occt/view/CR32976-master-KGV/

afokin

2022-05-21 11:08

administrator   ~0108532

Combination -
OCCT branch : IR-2022-05-20
master SHA - 84d39c06fa79d4227c1bc415e36e3924f7ff64c6
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-05-20 SHA - 17cda8130dd822da7e07127476a2902326a00742
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18673.29000000065 / 18725.070000000575 [-0.28%]
Products
Total CPU difference: 11729.870000000092 / 11731.410000000136 [-0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20661.390625 / 20657.984375 [+0.02%]
Products
Total CPU difference: 13282.171875 / 13258.375 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master dcbd679c

2022-05-16 22:28:09

kgv


Committer: smoskvin Details Diff
0032975: Visualization, TKOpenGl - do not blit inactive Subview Affected Issues
0032975
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/V3d/V3d_View.cxx Diff File

Issue History

Date Modified Username Field Change
2022-05-16 22:27 kgv New Issue
2022-05-16 22:27 kgv Assigned To => kgv
2022-05-16 22:31 git Note Added: 0108455
2022-05-16 22:58 git Note Added: 0108456
2022-05-16 23:09 kgv Relationship added child of 0032886
2022-05-17 01:18 kgv Assigned To kgv => bugmaster
2022-05-17 01:18 kgv Severity minor => trivial
2022-05-17 01:18 kgv Status new => resolved
2022-05-17 01:18 kgv Test case number => N/A
2022-05-17 01:18 kgv Note Added: 0108460
2022-05-17 01:18 kgv Status resolved => reviewed
2022-05-21 11:08 afokin Status reviewed => tested
2022-05-21 11:08 afokin Note Added: 0108532
2022-05-21 11:45 smoskvin Changeset attached => occt master dcbd679c
2022-05-21 11:45 kgv Assigned To bugmaster => kgv
2022-05-21 11:45 kgv Status tested => verified
2022-05-21 11:45 kgv Resolution open => fixed
2022-10-19 15:50 smoskvin Assigned To kgv => vpozdyayev